PdxSerializationException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.pdx, class: PdxSerializationException

Package org.apache.geode.pdx

# Class PdxSerializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.GemFireIOException
org.apache.geode.SerializationException
org.apache.geode.pdx.PdxSerializationException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NonPortableClassException`

public class PdxSerializationException extends SerializationException
Thrown if a problem occurred during serialization or deserialization of a PDX. In most cases consult the cause for a description of the problem.

Since:
  GemFire 6.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdxSerializationException(String message)`
  Create the exception with the given message.
  `PdxSerializationException(String message, Throwable cause)`
  Create the exception with the given message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PdxSerializationException

    public PdxSerializationException(String message)
    Create the exception with the given message.
    Parameters:
      `message` - the message of the new exception

  - ### PdxSerializationException

    public PdxSerializationException(String message, Throwable cause)
    Create the exception with the given message and cause.
    Parameters:
      `message` - the message of the new exception
      `cause` - the cause of the new exception